API key
API key ตัวที่อยู่ใต้ `/api/profile` เป็นของผู้ใช้เอง ตัวที่อยู่ใต้ `/api/admin` เป็นของทั้งแพลตฟอร์ม
การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X GET "https://platform.example.com/api/admin/credential/api-key" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X POST "https://platform.example.com/api/admin/credential/api-key" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
name*stringdescription?stringrestrictionType*unknownscope?unknowndeletable?unknowntrueprops?extendedProps?The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/credential/api-key" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "restrictionType": "..."}'"string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringrestrictionType*unknownscope?unknowndeletable?unknowntrueprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X GET "https://platform.example.com/api/admin/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN"{ "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
application/json- body
select?The fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringrestrictionType*unknownscope?unknowndeletable?unknowntrueprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X POST "https://platform.example.com/api/admin/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "select": {}}'{ "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
The answer.
response?stringapplication/jsonThe id.
curl -X DELETE "https://platform.example.com/api/admin/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN""string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
application/json- body
name?stringdescription?stringrestrictionType?unknownscope?unknowndeletable?unknowntrueprops?extendedProps?The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "restrictionType": "..."}'"string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The answer.
curl -X GET "https://platform.example.com/api/admin/credential/api-key/$ID/key" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
The answer.
curl -X PUT "https://platform.example.com/api/admin/credential/api-key/$ID/key" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X GET "https://platform.example.com/api/profile/credential/api-key" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X POST "https://platform.example.com/api/profile/credential/api-key" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
name*stringdescription?stringrestrictionType*unknownscope?unknowndeletable?unknowntrueprops?extendedProps?The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/profile/credential/api-key" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "restrictionType": "..."}'"string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringrestrictionType*unknownscope?unknowndeletable?unknowntrueprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X GET "https://platform.example.com/api/profile/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN"{ "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
application/json- body
select?The fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringrestrictionType*unknownscope?unknowndeletable?unknowntrueprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X POST "https://platform.example.com/api/profile/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "select": {}}'{ "_id": "string", "name": "string", "description": "string", "restrictionType": null, "scope": null, "deletable": true, "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
The answer.
response?stringapplication/jsonThe id.
curl -X DELETE "https://platform.example.com/api/profile/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN""string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
application/json- body
name?stringdescription?stringrestrictionType?unknownscope?unknowndeletable?unknowntrueprops?extendedProps?The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/profile/credential/api-key/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "restrictionType": "..."}'"string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The answer.
curl -X GET "https://platform.example.com/api/profile/credential/api-key/$ID/key" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the API key.
The answer.
curl -X PUT "https://platform.example.com/api/profile/credential/api-key/$ID/key" \ -H "Authorization: Bearer $TOKEN"